:root {
  --pastel-red: #ffadad;
  --pastel-orange: #ffd6a5;
  --pastel-yellow: #fdffb6;
  --pastel-green: #caffbf;
  --pastel-blue: #9bf6ff;
  --pastel-purple: #bdb2ff;
  --pastel-pink: #ffc6ff;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
}
body {
  background-color: var(--pastel-purple);
  background-image: radial-gradient(
    var(--pastel-red),
    var(--pastel-orange),
    var(--pastel-yellow),
    var(--pastel-green),
    var(--pastel-blue),
    var(--pastel-purple),
    var(--pastel-pink)
  );
  min-height: 100vh;
  background-size: 500% 500%;
  animation: move 10s alternate infinite;
  font-family: 'Encode Sans', sans-serif;
}
@keyframes move {
  from {
    background-position: 0;
  }
  to {
    background-position: 100% 100%;
  }
}
header {
  font-size: 2rem;
}

header,
form {
  min-height: 20vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

form input,
form button {
  border-radius: 6px 0 0 6px;
  padding: 0.5rem;
  font-size: 2rem;
  border: none;
  background: white;
}

form button {
  border-radius: 0 6px 6px 0;
  color: black;
  background: #f7fffe;
  cursor: pointer;
  transition: all 0.35s ease;
}

form button:hover {
  color: rgb(30, 217, 85);
}

.todo-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.todo-list {
  min-width: 30%;
  list-style: none;
}

.todo {
  border-radius: 6px 6px 6px 6px;
  margin: 0.5rem;
  background: white;
  font-size: 1.5rem;
  color: black;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: all 0.75s ease;
}

.filter-todo {
  padding: 1rem;
}

.todo li {
  flex: 1;
}

.trash-btn,
.complete-btn {
  background: #e33d0f;
  color: white;
  border: none;
  padding: 1rem;
  cursor: pointer;
  font-size: 1rem;
  transition: all 1s ease;
}

.complete-btn {
  border-radius: 6px 0 0 6px;
  background: rgb(30, 217, 85);
}

.complete-btn:hover {
  background: rgb(32, 155, 62);
}

.trash-btn {
  border-radius: 0 6px 6px 0;
}

.trash-btn:hover {
  background: #8a321d;
}

.todo-item {
  padding: 0 0.5rem;
}

.fa-trash,
.fa-check {
  pointer-events: none;
}

.fall {
  transform: translateY(10rem) rotateZ(25deg);
  transition: all 1s ease;
  opacity: 0;
}

.completed {
  text-decoration: line-through;
  opacity: 0.5;
}
